searchNodes=[{"doc":"Downloads and installs the latest Timezone GeoJSON data","ref":"Mix.Tasks.TzWorld.Update.html","title":"Mix.Tasks.TzWorld.Update","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1.","ref":"Mix.Tasks.TzWorld.Update.html#run/1","title":"Mix.Tasks.TzWorld.Update.run/1","type":"function"},{"doc":"Resolve a timezone name from coordinates.","ref":"TzWorld.html","title":"TzWorld","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"TzWorld.html#child_spec/1","title":"TzWorld.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.handle_continue/2.","ref":"TzWorld.html#handle_continue/2","title":"TzWorld.handle_continue/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"TzWorld.html#init/1","title":"TzWorld.init/1","type":"function"},{"doc":"Reload the timezone geo JSON data. This allows for the data to be reloaded, typically with a new release, without restarting the application.","ref":"TzWorld.html#reload_timezone_data/0","title":"TzWorld.reload_timezone_data/0","type":"function"},{"doc":"Returns the timezone name for the given coordinates specified as either a Geo.Point or as lng and lat parameters Examples iex&gt; TzWorld.timezone_at(%Geo.Point{coordinates: {3.2, 45.32}}) {:ok, &quot;Europe/Paris&quot;} iex&gt; TzWorld.timezone_at(3.2, 45.32) {:ok, &quot;Europe/Paris&quot;} The algorithm starts by filtering out timezones whose bounding box does not contain the given point. Once filtered, the first timezone which contains the given point is returned, or nil if none of the timzones match.","ref":"TzWorld.html#timezone_at/1","title":"TzWorld.timezone_at/1","type":"function"},{"doc":"","ref":"TzWorld.html#timezone_at/2","title":"TzWorld.timezone_at/2","type":"function"},{"doc":"","ref":"TzWorld.html#version/0","title":"TzWorld.version/0","type":"function"},{"doc":"Function to support downloading the latest timezones geo JSON data","ref":"TzWorld.Downloader.html","title":"TzWorld.Downloader","type":"module"},{"doc":"Returns the current installed timezones geo JSON data.","ref":"TzWorld.Downloader.html#current_release/0","title":"TzWorld.Downloader.current_release/0","type":"function"},{"doc":"","ref":"TzWorld.Downloader.html#get_and_load_latest_release/2","title":"TzWorld.Downloader.get_and_load_latest_release/2","type":"function"},{"doc":"","ref":"TzWorld.Downloader.html#get_latest_release/2","title":"TzWorld.Downloader.get_latest_release/2","type":"function"},{"doc":"Return the {release_number, download_url} of the latest timezones geo JSON data","ref":"TzWorld.Downloader.html#latest_release/0","title":"TzWorld.Downloader.latest_release/0","type":"function"},{"doc":"Updates the timezone geo JSON data if there is a more recent release.","ref":"TzWorld.Downloader.html#update_release/0","title":"TzWorld.Downloader.update_release/0","type":"function"},{"doc":"TzWorld Resolve timezones from a location using data from the timezone-boundary-builder project.","ref":"readme.html","title":"TzWorld","type":"extras"},{"doc":"Add tz_world to your list of dependencies in mix.exs: def deps do [ {:tz_world, &quot;~&gt; 0.2.0&quot;} ] end After adding TzWorld as a dependency, run mix deps.get to install it. Then run mix tz_world.update to install the timezone data. NOTE No data is installed with the package and until the data is installed with mix tz_world.update all calls to TzWorld.timezone_at/1 will return {:error, :noent}.","ref":"readme.html#installation","title":"TzWorld - Installation","type":"extras"},{"doc":"Installing tz_world from source or from hex does not include the timezones geo JSON data. The data is requried and to install or update it run: mix tz_world.update This task will download, transform, zip and store the timezones geo data. Depending on internet and computer speed this may take a few minutes. Data location By default the data will be placed in ./priv/tz_world. An alternative location can be configured in config.exs as follows: config :tz_world, data_dir: &quot;some/directory&quot; Updating the Timezone data From time-to-time the timezones geo JSON data is updated in the upstream project. The mix task mix tz_world.update will update the data if it is available. This task can be run at any time, it will detect when new data is available and only download it when a new release is available. The generated file TIMEZONES_GEOJSON_VERSION is used to track the current installed version of the data. A running application can also be instructed to reload the data by executing TzWorld.reload_timezone_data.","ref":"readme.html#installing-the-timezones-geo-json-data","title":"TzWorld - Installing the Timezones Geo JSON data","type":"extras"},{"doc":"The primary API is TzWorld.timezone_at. It takes either a Geo.Point struct or a longitude and latitude in degrees. Note the parameter order: longitude, latitude. iex&gt; TzWorld.timezone_at(%Geo.Point{coordinates: {3.2, 45.32}}) {:ok, &quot;Europe/Paris&quot;} iex&gt; TzWorld.timezone_at(3.2, 45.32) {:ok, &quot;Europe/Paris&quot;} iex&gt; TzWorld.timezone_at(%Geo.PointZ{coordinates: {-74.006, 40.7128, 0.0}}) {:ok, &quot;America/New_York&quot;} iex&gt; TzWorld.timezone_at(%Geo.Point{coordinates: {1.3, 65.62}}) {:error, :time_zone_not_found}","ref":"readme.html#usage","title":"TzWorld - Usage","type":"extras"},{"doc":"MIT License Copyright (c) 2017 kimlai Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Changelog for Tz_World v0.3.0 This is the changelog for Tz_World v0.3.0 released on February 16th, 2020. For older changelogs please consult the release tag on GitHub Breaking Changes Changes the error return from {:error, :timezone_not_found} to {:error, :time_zone_not_found} since both Elixir and Tzdata use time_zone. Enhancements Allows both %Geo.Point{} and %Geo.PointZ{} as parameters to TzWorld.timezone_at/1 Changelog for Tz_World v0.2.0 This is the changelog for Tz_World v0.2.0 released on November 28th, 2019. For older changelogs please consult the release tag on GitHub Breaking Changes Requires OTP 21 and Elixir 1.6 or later due to the use of GenServer&#39;s handle_continue/2 timezone_at/1 returns tagged tuples {:ok, result} or {:error, reason}. There can be at least two reasons for an error: no data file is available or no timezone is found. These return {:error, :enoent} and {:error, :timezone_not_found} respectively The timezone geojson data is no longer included in the package. Run mix tz_world.update to install or update it. No longer uses Ecto or PostGIS for calculations. Enhancements Updated to latest shape data. Takes the geo JSON shape data directly from timezone-boundary-builder releases Conforms TzWorker to the modern child_spec/1 including using handle_continue/2 to load the data file if it exists. Updated dependencies including geo to allow 1.x, 2.x or 3.x Added Jason as an optional dependency to facilitate decoding the GeoJSON from timezone_boundary_builder The timezone geojson data is no longer included in the package. Its size isn&#39;t supported on hex and it bloats the repo too. A mix task tz_world.update downloads and processes the data. The function TzWorld.Downloader.update_release/0 can be called at any time to look for a new release, download it and load it into the running server with no downtime. timezone_at/1 supports simple lng, lat arguments as well as %Geo.Point{} structs Added CHANGELOG.md Added SRID to the GeoJSON Added a config option :data_dir specifies the location of the compressed etf. Default is ./priv Updated README, package and docs","ref":"changelog.html","title":"Changelog for Tz_World v0.3.0","type":"extras"}]